View Issue Details

IDProjectCategoryView StatusLast Update
0003726SymmetricDSBugpublic2019-08-23 12:46
Reporterjosh-a-hicksAssigned ToJJ_Starrett 
Priorityhigh 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.10.4Fixed in Version3.10.4 
Summary0003726: Delete or truncate should quote table name and include catalog/schema
DescriptionWhile requesting a delete first or truncate first load the wildcard to replace table %s does replace with a fully qualified table name (catalog.schema.table) but does not quote it if necessary. The Table.java getter for the fully qualified name does provide the proper logic but the load events do not.
Tagsinitial/partial load

Activities

hanes

2018-10-10 09:50

developer   ~0001265

Per Josh, confirmed.

hanes

2018-12-05 14:20

developer   ~0001362

Perhaps a better solution would be to implement a more generic way to do the truncate.

hanes

2019-07-08 13:12

developer   ~0001551

Seems to work fine for the truncate case, but not the 'delete from %s' case.

hanes

2019-07-08 13:14

developer   ~0001552

Example I tested was on H2 using the following table:

create table "bar!foo" (id varchar(50), mystring varchar(250), primary key (id));


Load Data...Delete first.... fails.
Load Data...Truncate Table....works.

changing initial.load.delete.first.sql to "truncate table %s" works as well.

Related Changesets

SymmetricDS: 3.10 30ce396a

2019-07-01 12:58:53

jfrees

Details Diff
0003726: Delete or truncate should quote table name and include
catalog/schema

0003726
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/kafka/KafkaPlatform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2As400DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2zOsDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/interbase/InterbaseDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2000DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2005DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2008DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/raima/RaimaDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDatabasePlatform.java Diff File

SymmetricDS: 3.10 72d52643

2019-07-23 12:15:21

JJ_Starrett

Details Diff
0003726: Delete or truncate should quote table name and include catalog/schema

Commented out code previously committed to handle delete -> was able to replicate delete issue on postgres with table bar!foo -> uncommented delete code -> delete load went through. Not sure if there's another issue, will continue to test.

0003726
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2018-09-18 12:11 josh-a-hicks New Issue
2018-09-19 08:05 hanes Status new => confirmed
2018-10-03 13:59 hanes Status confirmed => new
2018-10-10 09:50 hanes Status new => confirmed
2018-10-10 09:50 hanes Note Added: 0001265
2018-10-10 14:08 hanes Target Version => 3.10.0
2018-12-05 14:20 hanes Note Added: 0001362
2018-12-05 15:01 hanes Priority normal => low
2019-03-14 08:39 admin Target Version 3.10.0 => 3.10.1
2019-04-23 09:46 elong Target Version 3.10.1 => 3.10.2
2019-04-24 14:57 elong Tag Attached: initial/partial load
2019-05-08 08:51 admin Target Version 3.10.2 => 3.10.3
2019-06-21 13:30 elong Priority low => high
2019-06-21 13:30 elong Summary Table reload requests that use %s for table replacement are not quoted if needed => Delete or truncate should quote table name and include catalog/schema
2019-06-24 13:45 elong Target Version 3.10.3 => 3.10.4
2019-07-01 12:59 jaredfrees Assigned To => jaredfrees
2019-07-01 12:59 jaredfrees Status confirmed => resolved
2019-07-01 12:59 jaredfrees Resolution open => fixed
2019-07-01 12:59 jaredfrees Fixed in Version => 3.10.4
2019-07-01 13:00 jfrees Changeset attached => SymmetricDS 3.10 30ce396a
2019-07-08 13:12 hanes Assigned To jaredfrees =>
2019-07-08 13:12 hanes Status resolved => feedback
2019-07-08 13:12 hanes Resolution fixed => reopened
2019-07-08 13:12 hanes Note Added: 0001551
2019-07-08 13:14 hanes Note Added: 0001552
2019-07-08 13:24 hanes Assigned To => JJ_Starrett
2019-07-08 13:24 hanes Status feedback => assigned
2019-07-08 13:24 hanes Fixed in Version 3.10.4 =>
2019-07-22 15:01 JJ_Starrett Status assigned => resolved
2019-07-22 15:01 JJ_Starrett Resolution reopened => fixed
2019-07-23 10:14 JJ_Starrett Status resolved => assigned
2019-07-23 17:00 JJ_Starrett Changeset attached => SymmetricDS 3.10 72d52643
2019-08-09 14:25 elong Status assigned => resolved
2019-08-09 14:25 elong Fixed in Version => 3.10.4
2019-08-23 12:46 admin Status resolved => closed